changeset 29768:a179d6e7da4e

avoid distracting test output when git or cvs is not fount * tests/test-vc-list-files-cvs.sh: Suppress 'init' error output. * tests/test-vc-list-files-git.sh: Likewise.
author Jim Meyering <meyering@redhat.com>
date Thu, 15 May 2008 14:52:01 +0200
parents beda05b22dac
children b09d24d6a48a
files ChangeLog tests/test-vc-list-files-cvs.sh tests/test-vc-list-files-git.sh
diffstat 3 files changed, 8 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Thu May 15 06:16:11 2008 -0600
+++ b/ChangeLog	Thu May 15 14:52:01 2008 +0200
@@ -1,3 +1,9 @@
+2008-05-15  Jim Meyering  <meyering@redhat.com>
+
+	avoid distracting test output when git or cvs is not fount
+	* tests/test-vc-list-files-cvs.sh: Suppress 'init' error output.
+	* tests/test-vc-list-files-git.sh: Likewise.
+
 2008-05-15  Eric Blake  <ebb9@byu.net>
 
 	Glibc finally accepted the memmem speedup code, bugzilla #5514.
--- a/tests/test-vc-list-files-cvs.sh	Thu May 15 06:16:11 2008 -0600
+++ b/tests/test-vc-list-files-cvs.sh	Thu May 15 14:52:01 2008 +0200
@@ -44,7 +44,7 @@
   ok=0
   mkdir $tmpdir && cd $tmpdir &&
     # without cvs, skip the test
-    { cvs -Q -d "$repo" init || exit 77; } &&
+    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 || exit 77; } &&
     mkdir w && cd w &&
     mkdir d &&
     touch d/a b c &&
--- a/tests/test-vc-list-files-git.sh	Thu May 15 06:16:11 2008 -0600
+++ b/tests/test-vc-list-files-git.sh	Thu May 15 14:52:01 2008 +0200
@@ -31,7 +31,7 @@
 fail=1
 mkdir $tmpdir && cd $tmpdir &&
   # without git, skip the test
-  { git init -q || exit 77; } &&
+  { ( git init -q ) > /dev/null 2>&1 || exit 77; } &&
   mkdir d &&
   touch d/a b c &&
   git add . > /dev/null &&